package com.ruoyi.project.sems.his.service.impl;

import java.util.List;

import com.ruoyi.project.sems.domain.TSpecdevDzsb;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.sems.his.mapper.TSpechiDzsbMapper;
import com.ruoyi.project.sems.his.domain.TSpechiDzsb;
import com.ruoyi.project.sems.his.service.ITSpechiDzsbService;

/**
 * 特种设备吊装设备台账历史Service业务层处理
 *
 * @author ruoyi
 * @date 2021-09-02
 */
@Service("tSpechiDzsbService")
public class TSpechiDzsbServiceImpl implements ITSpechiDzsbService
{
    @Autowired
    private TSpechiDzsbMapper tSpechiDzsbMapper;

    /**
     * 查询特种设备吊装设备台账历史
     *
     * @param id 特种设备吊装设备台账历史ID
     * @return 特种设备吊装设备台账历史
     */
    @Override
    public TSpechiDzsb selectTSpechiDzsbById(Long id)
    {
        return tSpechiDzsbMapper.selectTSpechiDzsbById(id);
    }

    /**
     * 查询特种设备吊装设备台账历史列表
     *
     * @param tSpechiDzsb 特种设备吊装设备台账历史
     * @return 特种设备吊装设备台账历史
     */
    @Override
    public List<TSpechiDzsb> selectTSpechiDzsbList(TSpechiDzsb tSpechiDzsb)
    {
        return tSpechiDzsbMapper.selectTSpechiDzsbList(tSpechiDzsb);
    }

    /**
     * 新增特种设备吊装设备台账历史
     *
     * @param tSpechiDzsb 特种设备吊装设备台账历史
     * @return 结果
     */
    @Override
    public int insertTSpechiDzsb(TSpechiDzsb tSpechiDzsb)
    {
        return tSpechiDzsbMapper.insertTSpechiDzsb(tSpechiDzsb);
    }


    /**
     * 使用台账对象新增特种设备吊装设备(起重机械)台账历史
     * @param tSpecdevDzsb 特种设备压力容器台账
     * @return
     */
    @Override
    public int insertTSpechiDzsbWithDev(TSpecdevDzsb tSpecdevDzsb) {
        return tSpechiDzsbMapper.insertTSpechiDzsbByDev(tSpecdevDzsb);
    }

    /**
     * 修改特种设备吊装设备台账历史
     *
     * @param tSpechiDzsb 特种设备吊装设备台账历史
     * @return 结果
     */
    @Override
    public int updateTSpechiDzsb(TSpechiDzsb tSpechiDzsb)
    {
        return tSpechiDzsbMapper.updateTSpechiDzsb(tSpechiDzsb);
    }

    /**
     * 批量删除特种设备吊装设备台账历史
     *
     * @param ids 需要删除的特种设备吊装设备台账历史ID
     * @return 结果
     */
    @Override
    public int deleteTSpechiDzsbByIds(Long[] ids)
    {
        return tSpechiDzsbMapper.deleteTSpechiDzsbByIds(ids);
    }

    /**
     * 删除特种设备吊装设备台账历史信息
     *
     * @param id 特种设备吊装设备台账历史ID
     * @return 结果
     */
    @Override
    public int deleteTSpechiDzsbById(Long id)
    {
        return tSpechiDzsbMapper.deleteTSpechiDzsbById(id);
    }

    @Override
    public List<TSpechiDzsb> selectTSpechiDzsbByReform(Long devId) {
        return tSpechiDzsbMapper.selectTSpechiDzsbByReform(devId);
    }

    /**
     * 通过devId删除修改记录
     * @param devId
     * @return
     */
    @Override
    public int deleteTSpechiDzsbByDevId(Long devId) {
        return tSpechiDzsbMapper.deleteTSpechiDzsbByDevId(devId);
    }
}
